Skip to main content
`Ctrl`+`K`

# DMGetBoundingBox

Returns the global bounding box for the `DM`.

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMGetBoundingBox(DM dm, PetscReal gmin[], PetscReal gmax[])

Collective

## Input Parameter

- dm - the `DM`

## Output Parameters

- gmin - global minimum coordinates (length coord dim, optional)

- gmax - global maximum coordinates (length coord dim, optional)

## See Also

`DM`, `DMGetLocalBoundingBox()`, `DMGetCoordinates()`, `DMGetCoordinatesLocal()`

## Level

beginner

## Location

src/dm/interface/dmcoordinates.c

## Examples

src/ksp/ksp/tutorials/ex42.c
src/ksp/ksp/tutorials/ex43.c
src/ts/tutorials/ex53.c
src/snes/tutorials/ex23.c
src/dm/impls/swarm/tutorials/ex1.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages